# $Revision: 1.27 $, $Date: 2002/09/16 11:50:22 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Parse
%define		pnam	RecDescent
Summary:	Perl Parse::RecDescent module
Summary(pl):	Modu Perla Parse::RecDescent
Name:		perl-Parse-RecDescent
Version:	1.80
Release:	7
License:	Perl Artistic License
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildRequires:	perl-devel >= 5.6.1
Requires:	perl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-Text-Balanced

%define		_noautoreq	"perl(Calc)"

%description
Perl Parse::RecDescent module.

%description -l pl
Modu Perla Parse::RecDescent.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_sitelib}/Parse/*.pm
%{perl_sitelib}/Text/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Parse-RecDescent.spec,v $
Revision 1.27  2002/09/16 11:50:22  ankry
- added tests on bcond
- new %%doc, cleaning
- removed .pod files
- release 7

Revision 1.26  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.25  2002/02/25 10:33:54  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 14:19:26  depesz
automatic: Source location unified, Relase Up

Revision 1.22  2002/02/10 15:31:30  depesz
adapterized

Revision 1.21  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.19  2001/05/21 17:39:39  kloczek
- release 3.

Revision 1.18  2001/05/10 19:47:48  qboosh
- removed dep patch, use %%_noautoreq instead

Revision 1.17  2001/04/17 12:14:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.16  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.15  2001/02/01 23:35:01  kloczek
- updated to 1.80.

Revision 1.14  2000/12/22 00:46:27  kloczek
- back .. this package can't be noarch.

Revision 1.13  2000/12/22 00:14:12  kloczek
- release 2,
- use new rpm automation,
- build as noarch,
- rebuild against perl 5.6.

Revision 1.12  2000/09/18 06:48:02  kloczek
- updated to 1.79.

Revision 1.11  2000/07/17 00:09:57  kloczek
- release 2.

Revision 1.10  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.5  2000/02/19 22:57:11  pius
- updated to 1.77

Revision 1.4  1999/11/09 00:16:11  pius
- fixed directory ownership
- release++

Revision 1.3  1999/11/07 17:00:09  kloczek
- release 2.

Revision 1.2  1999/11/05 19:47:39  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- added Obsoletes: perl-Text-Balanced

Revision 1.1  1999/09/23 12:23:42  wiget
- Parse::RecDescent perl module
